scripts: Move BUILDDIR chmod fix after checks in oe-setup-builddir

Makes more sense to have this fix after checking BUILDDIR exists, is
a directory and is writable.

[YOCTO #7669]

(From OE-Core rev: cf418deb32bf90479714e522e3fa309c41e47978)

Signed-off-by: Alex Franco <alejandro.franco@linux.intel.com>
Signed-off-by: Ross Burton <ross.burton@intel.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
This commit is contained in:
Alex Franco 2015-09-04 15:38:29 -05:00 committed by Richard Purdie
parent 77523c0e14
commit 53e09c5d14
1 changed files with 4 additions and 4 deletions

View File

@ -25,10 +25,6 @@ fi
mkdir -p "$BUILDDIR/conf"
# Attempting to remove sticky and setuid bits from BUILDDIR and
# BUILDDIR/conf directories. #TODO appropriate checks for this
chmod -st "$BUILDDIR" "$BUILDDIR/conf"
if [ ! -d "$BUILDDIR" ]; then
echo >&2 "Error: The builddir ($BUILDDIR) does not exist!"
exit 1
@ -39,6 +35,10 @@ if [ ! -w "$BUILDDIR" ]; then
exit 1
fi
# Attempting removal of sticky,setuid bits from BUILDDIR, BUILDDIR/conf
chmod -st "$BUILDDIR" 2>/dev/null || echo "WARNING: unable to chmod $BUILDDIR"
chmod -st "$BUILDDIR/conf" 2>/dev/null || echo "WARNING: unable to chmod $BUILDDIR/conf"
cd "$BUILDDIR"
if [ -f "$BUILDDIR/conf/templateconf.cfg" ]; then